org.keycloak.models

## Class WebAuthnPolicy

- java.lang.Object
- - org.keycloak.models.WebAuthnPolicy

- All Implemented Interfaces:
    Serializable

      public class WebAuthnPolicy
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<String>` | `acceptableAaguids`
    `protected String` | `attestationConveyancePreference`
    `protected String` | `authenticatorAttachment`
    `protected boolean` | `avoidSameAuthenticatorRegister`
    `protected int` | `createTimeout`
    `static WebAuthnPolicy` | `DEFAULT_POLICY`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected String` | `requireResidentKey`
    `protected String` | `rpEntityName`
    `protected String` | `rpId`
    `protected List<String>` | `signatureAlgorithms`
    `protected String` | `userVerificationRequirement`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WebAuthnPolicy()`
    `WebAuthnPolicy(List<String> signatureAlgorithms)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getAcceptableAaguids()`
    `String` | `getAttestationConveyancePreference()`
    `String` | `getAuthenticatorAttachment()`
    `int` | `getCreateTimeout()`
    `String` | `getRequireResidentKey()`
    `String` | `getRpEntityName()`
    `String` | `getRpId()`
    `List<String>` | `getSignatureAlgorithm()`
    `String` | `getUserVerificationRequirement()`
    `boolean` | `isAvoidSameAuthenticatorRegister()`
    `void` | `setAcceptableAaguids(List<String> acceptableAaguids)`
    `void` | `setAttestationConveyancePreference(String attestationConveyancePreference)`
    `void` | `setAuthenticatorAttachment(String authenticatorAttachment)`
    `void` | `setAvoidSameAuthenticatorRegister(boolean avoidSameAuthenticatorRegister)`
    `void` | `setCreateTimeout(int createTimeout)`
    `void` | `setRequireResidentKey(String requireResidentKey)`
    `void` | `setRpEntityName(String rpEntityName)`
    `void` | `setRpId(String rpId)`
    `void` | `setSignatureAlgorithm(List<String> signatureAlgorithms)`
    `void` | `setUserVerificationRequirement(String userVerificationRequirement)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### rpEntityName

          protected String rpEntityName

    - #### signatureAlgorithms

          protected List<String> signatureAlgorithms

    - #### rpId

          protected String rpId

    - #### attestationConveyancePreference

          protected String attestationConveyancePreference

    - #### authenticatorAttachment

          protected String authenticatorAttachment

    - #### requireResidentKey

          protected String requireResidentKey

    - #### userVerificationRequirement

          protected String userVerificationRequirement

    - #### createTimeout

          protected int createTimeout

    - #### avoidSameAuthenticatorRegister

          protected boolean avoidSameAuthenticatorRegister

    - #### acceptableAaguids

          protected List<String> acceptableAaguids

    - #### DEFAULT_POLICY

          public static WebAuthnPolicy DEFAULT_POLICY

  - ### Constructor Detail

    - #### WebAuthnPolicy

          public WebAuthnPolicy()

    - #### WebAuthnPolicy

          public WebAuthnPolicy(List<String> signatureAlgorithms)

  - ### Method Detail

    - #### getRpEntityName

          public String getRpEntityName()

    - #### setRpEntityName

          public void setRpEntityName(String rpEntityName)

    - #### getSignatureAlgorithm

          public List<String> getSignatureAlgorithm()

    - #### setSignatureAlgorithm

          public void setSignatureAlgorithm(List<String> signatureAlgorithms)

    - #### getRpId

          public String getRpId()

    - #### setRpId

          public void setRpId(String rpId)

    - #### getAttestationConveyancePreference

          public String getAttestationConveyancePreference()

    - #### setAttestationConveyancePreference

          public void setAttestationConveyancePreference(String attestationConveyancePreference)

    - #### getAuthenticatorAttachment

          public String getAuthenticatorAttachment()

    - #### setAuthenticatorAttachment

          public void setAuthenticatorAttachment(String authenticatorAttachment)

    - #### getRequireResidentKey

          public String getRequireResidentKey()

    - #### setRequireResidentKey

          public void setRequireResidentKey(String requireResidentKey)

    - #### getUserVerificationRequirement

          public String getUserVerificationRequirement()

    - #### setUserVerificationRequirement

          public void setUserVerificationRequirement(String userVerificationRequirement)

    - #### getCreateTimeout

          public int getCreateTimeout()

    - #### setCreateTimeout

          public void setCreateTimeout(int createTimeout)

    - #### isAvoidSameAuthenticatorRegister

          public boolean isAvoidSameAuthenticatorRegister()

    - #### setAvoidSameAuthenticatorRegister

          public void setAvoidSameAuthenticatorRegister(boolean avoidSameAuthenticatorRegister)

    - #### getAcceptableAaguids

          public List<String> getAcceptableAaguids()

    - #### setAcceptableAaguids

          public void setAcceptableAaguids(List<String> acceptableAaguids)

Copyright © 2020 JBoss by Red Hat. All rights reserved.